GFJOURNAL(1)

NAME
gfjournal - display status of a journal file

SYNOPSIS

gfjournal [options] journal-file

DESCRIPTION

gfjournal reads a journal file and outputs status report about the file to standard out. By default, it outputs the status summary of the journal file, like this:

    	records  seqnum(min/max)          record length(min/max/ave)
    	     30           2/          31          24/    120/     37

With '-l' option, gfjournal also outputs all records in the journal file:

    	seqnum    operation        length  argument
    	        2 BEGIN                 24
    	        3 MDHOST_ADD            56 name=gfmd1.example.com
    	        4 END                   24
    	        5 BEGIN                 24
    	        6 USER_ADD              68 username=gfarmadm
    	        7 END                   24
    	(snip)
    	records  seqnum(min/max)          record length(min/max/ave)
    	     30             2/        31          24/    120/     37

OPTIONS

-d
    Set log level to 'debug'.

-h
    Displays a list of command options.

-?
    Equivalent to -h.

-l
    List all records in the journal file.

-m
    Display the maximum sequence number only.

-r
    Do not display status summary or a header line for a list of records. This option is effective only when it is specified with -l option.

-v
    Prints verbose messages.